Package twisted :: Package manhole :: Module service :: Class FakeStdIO

[frames | no frames]

## Class FakeStdIO

Method Summary
| `__init__(self, type_, list)`
| ``consolidate`(self)` Concatenate adjacent messages of same type into one.
| `flush(self)`
| `write(self, text)`

Method Details

### consolidate(self)

Concatenate adjacent messages of same type into one.

Greatly cuts down on the number of elements, increasing network transport friendliness considerably.

Generated by Epydoc 2.0 on Sat May 15 20:08:09 2004 | http://epydoc.sf.net